Skip to main content
GET
/
v1
/
deposits
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const depositListResponse of client.deposits.list()) {
  console.log(depositListResponse.id);
}
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "deposit",
      "status": "received",
      "amount": "<string>",
      "currency": "EUR",
      "source": {
        "type": "iban",
        "iban": "<string>",
        "account_holder_name": "<string>",
        "bic": "<string>"
      },
      "destination_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bank_statement_reference": "<string>",
      "rail": "sepa_instant",
      "tx_hash": "<string>",
      "returns": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 < x < 100
cursor
string

Opaque cursor from a previous next_cursor.

status
enum<string>

Filter by deposit status.

Available options:
received,
rejected,
in_return,
returned,
return_failed,
return_returned
created_at.gte
string<date-time>

Include deposits whose created_at is greater than or equal to this ISO 8601 timestamp.

created_at.lte
string<date-time>

Include deposits whose created_at is less than or equal to this ISO 8601 timestamp.

Response

200 - application/json

Paginated list of deposits

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required